/* /src/assets/css/global.css */
@tailwind base;
@tailwind components;
@tailwind utilities;
/* https://tailwindcss.com/docs/adding-base-styles */
@layer base {
  /* https://mmwebfonts.comquas.com/#how-to-use */
  @import url("https://mmwebfonts.comquas.com/fonts/?font=myanmar3");
  body {
    font-family: Arial, "Myanmar Text", "Myanmar3", "Padauk", "Wwin_Burmese",
      "Segoe UI", Roboto, "Helvetica Neue", sans-serif;
    /*
  line-height: 1.5;
  = leading-6
  */
    @apply p-0 m-0 leading-6;
  }

  .layout {
    max-width: 840px;
    @apply px-4 mx-auto flex flex-col h-full;
  }
  p {
    @apply my-2;
  }
  
  ol {
    @apply list-outside ml-5 list-decimal;
  }
  
  ul {
    @apply list-outside ml-5 list-disc;
  }
  li {
    @apply leading-8;
  }
  input {
    @apply bg-gray-100 appearance-none border rounded w-full py-2 px-4 text-gray-700 h-10;
  }
  select{
    @apply border
  }
  input:hover,select:hover {
    @apply border border-red-600 bg-orange-200;
  }
  input:focus,select:focus {
    @apply outline-none border-orange-500 bg-orange-100;
  }


  footer {
    @apply bg-gray-300 mt-4 p-1;
  }

  
/* https://www.coltborg.com/style-a-blockquote-using-tailwind-css/ */
.stylistic-quote-mark {
  font-size: 5rem;
  right: 100%;
  left: -18px;
  @apply mr-2  text-gray-500 absolute top-0 leading-none;
}
.quote {
  @apply italic bg-white border-dashed border;
}

  /* https://nickymeuleman.netlify.app/blog/css-animated-wrapping-underline */
  a {
    color: #dfe5f3;
    text-decoration: none;
    /*color:rgb(116, 92, 255);*/
    background-image: linear-gradient(rgb(116, 92, 255), rgb(126, 97, 255)),
      linear-gradient(#feb2b2, #ff1717);
    background-size: 100% 1px, 0 1px;
    background-position: 100% 100%, 0 100%;
    background-repeat: no-repeat;
    transition: all 0.5s linear;
    transition-property: background-size, color;

    @apply text-blue-700;
  }
  a:hover {
    background-size: 0 1px, 100% 1px;
    color: #ff1717;
    /*@apply underline*/
  }
  button {
    @apply bg-white border-2 border-blue-500 px-4 py-2 text-blue-500;
  }
  button:hover {
    @apply text-white bg-blue-500 rounded;
  }
  .header {
    height: 40px;
    @apply flex p-1 mb-4 items-center justify-between z-10 sticky top-0 bg-white flex-shrink border border-t-0;
  }
  @media screen and (max-width: 840px) {
    .header {
      @apply relative;
    }
    .layout {
      @apply px-2;
    }
    body {
      @apply;
    }
  }

  .card {
    @apply shadow p-4  border border-blue-200 mb-8 bg-gray-100;
  }
  .card h2 {
    @apply bg-gray-300 flex font-bold p-1;
  }
  .card:hover {
    @apply border-dashed border-red-600;
  }

  .card h1,
  header {
    @apply flex bg-gray-300 py-2 font-bold px-4 mb-4;
  }

    .copyText{
    @apply inline-block border-2 px-4 py-2 my-1 ;
  }
  .copyText:hover{
    @apply bg-white border-2 border-blue-500 px-4 py-2 ;
  }
}
